package com.tuoheng.admin.controller;

import com.tuoheng.admin.query.AccidentQuery;
import com.tuoheng.admin.request.accident.QueryAccidentPageListRequest;
import com.tuoheng.admin.service.accident.IAccidentService;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 事故前端控制器
 *
 * @Author ChengWang
 * @Date 2023/3/2
 */
@RestController
@RequestMapping("/accident")
public class AccidentController {

    @Autowired
    private IAccidentService accidentService;

    /**
     * 查询巡检任务分页列表
     */
    @GetMapping("/page/list")
    public JsonResult list(QueryAccidentPageListRequest request) {
//        log.info("进入查询事故分页列表接口");
        return accidentService.getPageList(request);
    }

    /**
     * 获取巡检任务信息信息
     */
    @GetMapping(value = "/info/{id}")
    public JsonResult getInfo(@PathVariable("id") String id) {
//        log.info("进入查询事故详情接口, id={}", id);
        return accidentService.getAccidentInfo(id);
    }

    /**
     * 告警列表分页
     */
    @GetMapping("/index")
    public JsonResult queryAccidentPage(AccidentQuery query){
        return accidentService.index(query);
    }




}
