package com.tuoheng.admin.request.accident;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 查询巡检任务请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-17
 */
@Data
public class QueryAccidentPageListRequest extends BaseQuery {

    /**
     * 公路名称
     */
    private String roadName;

    /**
     * 路段名称
     */
    private String sectionName;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 任务状态
     */
    private List<Integer> statusList;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 租户Id
     */
    private String tenantId;

    /**
     * 部门Id list
     */
    private List<String> deptIdList;

}
