package com.tuoheng.admin.request.dept;

import com.tuoheng.admin.dto.RoadSectionDto;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 新增部门请求参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-17
 */
@Data
public class AddDeptRequest {

    private static final long serialVersionUID = 1L;

    /**
     * 部门id
     */
    private String pid;

    /**
     * 部门名称
     */
    @NotBlank(message = "部门名称不能为空！")
    private String name;

    /**
     * 公路，路段数据
     */
    private List<RoadSectionDto> roadSectionDtoList;

}
