package com.tuoheng.admin.service.accident;

import com.tuoheng.admin.query.AccidentQuery;
import com.tuoheng.admin.request.accident.QueryAccidentPageListRequest;
import com.tuoheng.admin.service.accident.query.QueryAccidentByIdService;
import com.tuoheng.admin.service.accident.query.QueryAccidentPageListService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author ChengWang
 * @Date 2023/3/2
 */
@Service
@Slf4j
public class AccidentServiceImpl implements IAccidentService {

    @Autowired
    private QueryAccidentPageListService queryAccidentPageListService;

    @Autowired
    private QueryAccidentByIdService queryAccidentByIdService;

    @Override
    public JsonResult getPageList(QueryAccidentPageListRequest request) {
        return queryAccidentPageListService.getPageList(request);
    }

    @Override
    public JsonResult getAccidentInfo(String id) {
        return queryAccidentByIdService.getInfoById(id);
    }

    @Override
    public JsonResult index(AccidentQuery query) {
        return queryAccidentPageListService.index(query);
    }
}
