package com.tuoheng.admin.service.accident;

import com.tuoheng.admin.entity.Accident;
import com.tuoheng.admin.entity.Section;
import com.tuoheng.admin.query.AccidentQuery;
import com.tuoheng.admin.query.SectionQuery;
import com.tuoheng.admin.request.accident.QueryAccidentPageListRequest;
import com.tuoheng.admin.request.inspection.QueryInspectionPageListRequest;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * @Author ChengWang
 * @Date 2022/11/17
 */
public interface IAccidentService {

    /**
     * 查询事故列表(分页)
     *
     * @param request 事故分页查询实体
     * @return 巡检任务集合
     */
    JsonResult getPageList(QueryAccidentPageListRequest request);

    /**
     * 查询事故信息
     *
     * @param id 事故Id
     * @return 事故
     */
    JsonResult getAccidentInfo(String id);

    JsonResult index(AccidentQuery query);

}
