package com.tuoheng.admin.service.workorder;

import com.tuoheng.admin.request.workorder.DistributionWorkorderRequest;
import com.tuoheng.admin.request.workorder.QueryWorkOrderPageListRequest;
import com.tuoheng.common.core.utils.JsonResult;

import java.util.List;

/**
 * 工单Service接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-07
 */
public interface IWorkorderService {


    /**
     * 生成工单
     *
     * @param idList
     * @return
     */
    JsonResult generate(List<String> idList);

    /**
     * 查询工单分页列表
     *
     * @param request
     * @return
     */
    JsonResult getPageList(QueryWorkOrderPageListRequest request);

    /**
     * 查询工单详情
     *
     * @param id
     * @return
     */
    JsonResult getDetails(String id);

    /**
     * 分配工单
     *
     * @param request
     * @return
     */
    JsonResult distribution(DistributionWorkorderRequest request);
}
