package com.tuoheng.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 *  返回报告视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-12
 */
@Data
public class ReportPageListVo {

    /**
     * 报告ID
     */
    private String id;

    /**
     * 任务ID
     */
    private String inspectionId;

    /**
     * 任务编号
     */
    private String inspectionCode;

    /**
     * 任务名称
     */
    private String inspectionName;

    /**
     * 巡检任务类型 1 临时巡检
     */
    private Integer type;

    /**
     * 生成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 巡检时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inspectionTime;

    /**
     * 问题总数
     */
    private Integer problemTotalCount;

    /**
     * 问题处理数
     */
    private Integer problemHandleCount;

}
