package com.tuoheng.admin.vo.accident;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 事件对象
 *
 * @team tuoheng
 * @author wanjing
 * @date 2023-03-03
 */
@Data
public class AccidentVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;


    /**
     * 巡检任务id
     */
    private String inspectionId;

    /**
     * 巡检任务问题ID
     */
    private String inspectionFileId;

    /**
     * 应急任务ID
     */
    private String accidentInspectionId;

    /**
     * 公路id
     */
    private String roadId;

    /**
     * 公路名称
     */
    private String roadName;

    /**
     * 路段ID
     */
    private String sectionId;

    /**
     * 路段名称
     */
    private String sectionName;

    /**
     * 问题ID
     */
    private String questionId;

    /**
     * 问题编码
     */
    private String questionCode;

    /**
     * 问题名称
     */
    private String questionName;

    /**
     * 是否有伤亡：0:无；1：有
     */
    private Integer isCasualties;

    /**
     * 是否影响驾驶安全：0:无；1：有
     */
    private Integer isDrivingSafety;

    /**
     * 是否有明火：0:无；1：有
     */
    private Integer isFire;

    /**
     * 事故现场描述
     */
    private String record;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 无人机回仓：0未回仓；1：已回仓
     */
    private Integer uavReturn;

    /**
     * 事故状态：1未处理 2处理中 3已忽略 4已处理
     */
    private Integer status;

    /**
     *处理人
     */
    private String checkUser;

    /**
     * 处理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date checkTime;

    /**
     * 处理结果
     */
    private String checkResult;


}
