package com.tuoheng.admin.vo.inspection;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 *  返回任务问题分布视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-08
 */
@Data
public class InspectionFileDistributionListVo {

    /**
     * 问题id
     */
    private String id;

    /**
     * 问题类型:1坑槽，2积水，3裂缝
     */
    private String questionId;

    /**
     * 问题名称：1坑槽，2积水，3裂缝
     */
    private String questionName;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 标记图
     */
    private String fileImage;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 原图
     */
    private String fileOriginal;

    /**
     * 经度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 位置信息
     */
    private String location;

    /**
     * 高德地图纬度
     */
    private String gaodeLongitude;

    /**
     * 高德地图经度
     */
    private String gaodeLatitude;

    /**
     * 高德地图地址
     */
    private String gaodeAddress;

    /**
     * 状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

    /**
     * 任务编号
     */
    private String inspectionCode;

    /**
     * 任务名称
     */
    private String inspectionName;


}
