package com.tuoheng.admin.vo.inspection;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 *  任务问题处理返回实体类
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-06
 */
@Data
public class InspectionFileHandleVo {

    /**
     * 任务问题ID
     */
    private String inspectionFileId;

    /**
     * 问题类型:1坑槽，2积水，3裂缝
     */
    private String questionCode;

    /**
     * 问题名称：1坑槽，2积水，3裂缝
     */
    private String questionName;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 标记图
     */
    private String fileImage;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 原图
     */
    private String fileOriginal;

    /**
     * 处理人ID
     */
    private String handlerUser;

    /**
     * 处理人姓名
     */
    private String handlerUsername;

    /**
     * 处理后图片列表，多个用","隔开
     */
    private String handlerImages;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date handlerTime;

    /**
     * 问题状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

    /**
     * 纬度(原始图片纬度)
     */
    private String latitude;

    /**
     * 经度(原始图片经度)
     */
    private String longitude;

    /**
     * 位置信息
     */
    private String location;

    /**
     * 工单ID
     */
    private String workOrderId;

}
