package com.tuoheng.api;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.tuoheng")
@EnableAsync
@MapperScan("com.tuoheng.api.dao")
@ComponentScan("com.tuoheng.*")
public class THApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(THApiApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  微服务【freeway API服务】启动成功   ლ(´ڡ`ლ)ﾞ");
    }

}
