package com.tuoheng.miniprogram.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2022/11/16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_road")
public class RoadInformation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 公路名称
     */
    private String name;

    /**
     * 公路代号
     */
    private String code;

    /**
     * 起点经度
     */
    private String startLongitude;

    /**
     * 起点纬度
     */
    private String startLatitude;

    /**
     * 终点经度
     */
    private String endLongitude;

    /**
     * 终点纬度
     */
    private String endLatitude;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否关联路段  true：关联  false：未关联
     */
    @TableField(exist = false)
    private boolean relation;




}
