package com.tuoheng.miniprogram.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 企业管理表
 * </p>
 *
 * @author 拓恒
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_tenant")
public class Tenant extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户名称
     */
    private String name;

    /**
     * 租户编号
     */
    private String code;

    /**
     * 租户账号
     */
    private String username;

    /**
     * 租户LOGO
     */
    private String logo;

    /**
     * 上级ID
     */
    private Integer pid;

    /**
     * 租户类型：1政府 2企业 3组织
     */
    private Integer type;

    /**
     * 租户电话
     */
    private String phone;

    /**
     * 租户邮箱
     */
    private String email;

    /**
     * 省份编号
     */
    private String provinceCode;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 市区编号
     */
    private String cityCode;

    /**
     * 市区名称
     */
    private String cityName;

    /**
     * 区县编号
     */
    private String districtCode;

    /**
     * 区县名称
     */
    private String districtName;

    /**
     * 平台名称
     */
    private String platformName;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 租户简介
     */
    private String intro;

    /**
     * 状态：1正常 2禁用
     */
    private Integer status;

    /**
     * 备注
     */
    private String note;

    /**
     * 排序号
     */
    private Integer sort;
    /**
     * 租户头像url
     */
    private String portraitUrl;

}
